Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface BulkRoleMapper

    public interface BulkRoleMapper

The `BulkRoleMapper` interface defines the security service provider interface (SSPI) for providers capable of obtaining the appropriate set of roles, for a list of resources, that have been granted to a specific subject.

Method Summary
`Map` | `getRoles(Subject subject, List resource, ContextHandler handler)` Indicates whether the role policies defined for the list of resources allow the requestor to posses a given role by utilizing the information contained in the subject and context.

Method Detail

### getRoles

    Map getRoles(Subject subject,
                 List resource,
                 ContextHandler handler)

  Indicates whether the role policies defined for the list of resources allow the requestor to posses a given role by utilizing the information contained in the subject and context.

  Parameters:
    `subject` - a `Subject` object containing the identity of the principals that are attempting to perform a request on the specified resource.

    `resource` - a `Resource` object indicating the type of resource on which the subject is attempting to perform a request.

    `handler` - a `ContextHandler` object that can optionally be used by the Role Mapping provider to obtain additional information that may be used in making the authorization decision. If the caller is unable to provide additional information, a `null` value should be specified.

  Returns:
    a `Map` of roles indexed first by resource and then by their names, representing the security roles associated with the specified resources that have been granted to the subject.

  See Also:
    `SecurityRole`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD